Hardy: Please update to glom 1.6.10

Bug #204039 reported by Murray Cumming
8
Affects Status Importance Assigned to Milestone
glom (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: glom

The glom 1.6.9 package in Ubuntu Hardy depends on postgres 8.3, but this combination fails when creating text fields (which all tables have by default), making it unusable. This is mentioned here too:
https://bugs.launchpad.net/ubuntu/+source/glom/+bug/188939

This is fixed in glom 1.6.10, along with two other small bug fixes, and no other changes.

Related branches

Changed in glom:
assignee: nobody → protonchris
Revision history for this message
Chris Brotherton (protonchris) wrote :

Waiting on an updated libgdamm3.0 package (Bug 190744)

Changed in glom:
status: New → In Progress
Revision history for this message
Chris Brotherton (protonchris) wrote :

Changelog for 1.6.9 -> 1.6.10

Revision history for this message
Chris Brotherton (protonchris) wrote :

Won't compile with new cairomm. Waiting on Bug 205701 .

Revision history for this message
Murray Cumming (murrayc) wrote :

Note that it's the new _cairo_, not the new _cairomm_ that's causing the problem. That's the right bug number though.

Revision history for this message
Chris Brotherton (protonchris) wrote :
Revision history for this message
Chris Brotherton (protonchris) wrote :
Revision history for this message
Chris Brotherton (protonchris) wrote :
Revision history for this message
Chris Brotherton (protonchris) wrote :

Please consider an FFE for this package. This new version allows glom to work with postgresql 8.3.

I have installed this package and it runs without issue.

Changed in glom:
assignee: protonchris → nobody
status: In Progress → New
Revision history for this message
Scott Kitterman (kitterman) wrote :

Bugfix only. Feel free to seek sponsorship for the upload.l

Changed in glom:
status: New → Confirmed
Revision history for this message
Chris Brotherton (protonchris) wrote :

Updated package. Removed pycompat since it was not necessary.

Revision history for this message
Chris Brotherton (protonchris) wrote :
Revision history for this message
Jani Monoses (jani) wrote :

1.6.11 was released today, looks safe to upload this instead of 1.6.10

changelog:

1.6.11 (stable)

* Allow deletion of tables that use upper case in their name.
  (Murray Cumming) Bug #522233 (Pavel Mlčoch).
* Improved the online user guide.
  (Murray Cumming)

Revision history for this message
Chris Brotherton (protonchris) wrote :

diffstat for 1.6.10 -> 1.6.11

Revision history for this message
Chris Brotherton (protonchris) wrote :

New version 1.6.11 package

Revision history for this message
Chris Brotherton (protonchris) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glom - 1.6.11-0ubuntu1

---------------
glom (1.6.11-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #204039)
    - Fixes XML error experienced with postgresql 8.3
    - Examples button now opens the file dialog in the correct place
      (LP: #206032)
    - Updated bakery package dependencies to reflect upstream changes
  * Rebuild against updated libgdamm3.0 soname.
  * Removed debian/pycompat since it is not needed.

 -- Christopher Brotherton <email address hidden> Tue, 25 Mar 2008 19:24:19 -0600

Changed in glom:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers